CacheClosedException (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.cache

## Class CacheClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.CancelException
            - - org.apache.geode.cache.CacheClosedException

- All Implemented Interfaces:
    java.io.Serializable

      public class CacheClosedException
      extends CancelException

  Indicates that the caching system has been closed. Can be thrown from almost any method related to regions or the `Cache` after the cache has been closed.
  Since:
    GemFire 3.0
  See Also:
    `Cache`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheClosedException()` Constructs a new `CacheClosedException`.
    `CacheClosedException(java.lang.String msg)` Constructs a new `CacheClosedException` with a message string.
    `CacheClosedException(java.lang.String msg, java.lang.Throwable cause)` Constructs a new `CacheClosedException` with a message string and a cause.
    `CacheClosedException(java.lang.Throwable cause)` Constructs a new `CacheClosedException` with a cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheClosedException

          public CacheClosedException()

      Constructs a new `CacheClosedException`.

    - #### CacheClosedException

          public CacheClosedException(java.lang.String msg)

      Constructs a new `CacheClosedException` with a message string.
      Parameters:
        `msg` - a message string

    - #### CacheClosedException

          public CacheClosedException(java.lang.String msg,
                                      java.lang.Throwable cause)

      Constructs a new `CacheClosedException` with a message string and a cause.
      Parameters:
        `msg` - the message string
        `cause` - a causal Throwable

    - #### CacheClosedException

          public CacheClosedException(java.lang.Throwable cause)

      Constructs a new `CacheClosedException` with a cause.
      Parameters:
        `cause` - a causal Throwable